"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactIntl = require("react-intl");
const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    CompoundInput
  } = configContext.inputComponents;
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  const {
    extensions
  } = configContext.config;
  return /*#__PURE__*/React.createElement(Field, {
    name: "document"
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "id",
    collapsible: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "objectNumber",
    label: "Inventory No [Identification number]"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "numberOfObjects",
    label: "Count [Number of objects]"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "catalogLevel",
    subpath: "ns2:collectionobjects_fineart",
    label: "Catalog level [Cataloging level]"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "otherNumberList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "otherNumber"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "numberValue"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "numberType"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "responsibleDepartments"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "responsibleDepartment"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "collection"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "recordStatus"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "inventoryStatusList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "inventoryStatus"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "publishToList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "publishTo"
  }))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "briefDescriptions"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "briefDescription",
    label: "Description [Brief description]"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "comments"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "comment",
    label: "Created By/Date/ID [Comment]"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "computedCurrentLocation"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "titleGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "titleGroup"
  }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "title",
    label: "Object Title/Type [Title]"
  })), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "titleLanguage"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "titleTranslationSubGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "titleTranslationSubGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "titleTranslation"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "titleTranslationLanguage"
  })))))))), /*#__PURE__*/React.createElement(Field, {
    name: "objectNameList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectNameGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectName"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectNameLevel"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectNameType"
  })))), /*#__PURE__*/React.createElement(Panel, {
    name: "prod",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionDateGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionDateGroup",
    label: "Object Date and Period [Production date]"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPlaceGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPlaceGroup",
    label: "Place of Origin [Production place]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPlace"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPlaceRole"
  })))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPersonGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPersonGroup",
    label: "Artist/Maker [Production person]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPerson"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionPersonRole"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "objectProductionNote"
  })))), /*#__PURE__*/React.createElement(Panel, {
    name: "desc",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "copyNumber",
    label: "Copy/Series No. [Copy number]"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "materialTechniqueDescription",
    subpath: "ns2:collectionobjects_fineart",
    label: "Medium/technique description [Material/technique description]"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "techniqueGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "techniqueGroup",
    label: "Technique [Production technique]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "technique"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "materialGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "materialGroup",
    label: "Medium [Material]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "material"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "materialComponent"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "materialComponentNote"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "materialName"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "materialSource"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "physicalDescription",
    label: "Conservetion condition [Physical description]"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "objectComponentGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectComponentGroup",
    label: "Accessory [Object component]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectComponentName"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectComponentInformation"
  }))))), extensions.dimension.form, /*#__PURE__*/React.createElement(Panel, {
    name: "content",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentDescription"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "contentLanguages"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentLanguage"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentActivities"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentActivity"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentConcepts"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentConcept"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentDateGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "contentPositions"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentPosition"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentObjectGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentObjectGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentObject"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "contentObjectType"
  })))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "contentPeoples"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentPeople"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentPersons"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentPerson"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentPlaces"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentPlace"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentScripts"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentScript"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentOrganizations"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentOrganization"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "contentEventNameGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentEventNameGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentEventName"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "contentEventNameType"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "contentOtherGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentOtherGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "contentOther"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "contentOtherType"
  }))))), /*#__PURE__*/React.createElement(Field, {
    name: "contentNote"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(CompoundInput, {
    subpath: "ns2:collectionobjects_variablemedia"
  }, extensions.contentWorks.form))), /*#__PURE__*/React.createElement(Panel, {
    name: "textInscript",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "textualInscriptionGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "textualInscriptionGroup"
  }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(Field, {
    name: "inscriptionContent",
    label: "Signature/Inscription [Inscription content]"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "inscriptionContentInterpretation",
    label: "Interpretation/Translation [Interpretation]"
  })))))), /*#__PURE__*/React.createElement(Panel, {
    name: "hist",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "assoc",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "assocActivityGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocActivityGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocActivity"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocActivityType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocActivityNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocObjectGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocObjectGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocObject"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocObjectType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocObjectNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocConceptGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocConceptGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocConcept"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocConceptType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocConceptNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocCulturalContextGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocCulturalContextGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocCulturalContext"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocCulturalContextType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocCulturalContextNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocOrganizationGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocOrganizationGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocOrganization"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocOrganizationType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocOrganizationNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocPeopleGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocPeopleGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocPeople"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocPeopleType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocPeopleNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocPersonGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocPersonGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocPerson"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocPersonType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocPersonNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "assocPlaceGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocPlaceGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocPlace"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocPlaceType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocPlaceNote"
  })))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(InputTable, {
    name: "assocEvent"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocEventName"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocEventNameType"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "assocEventOrganizations"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocEventOrganization"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "assocEventPeoples"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocEventPeople"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "assocEventPersons"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocEventPerson"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "assocEventPlaces"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocEventPlace"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "assocEventNote"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocDateGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocDateGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "assocStructuredDateGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocDateType"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "assocDateNote"
  })))))), /*#__PURE__*/React.createElement(Field, {
    name: "objectHistoryNote",
    label: "Object History [Object history note]"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "usageGroupList",
    label: "Object history/Provenance note [Usage]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "usageGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "usage"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "usageNote"
  }))), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "ownershipDateGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "ownershipDateGroup",
    label: "Acquisition date [Ownership date]"
  }))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "ownershipCategory",
    label: "Acquisition method [Ownership category]"
  })))), /*#__PURE__*/React.createElement(InputTable, {
    name: "ownershipExchange"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "ownershipExchangeNote"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "ownershipExchangePriceCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "ownershipExchangePriceValue"
  }))), /*#__PURE__*/React.createElement(Panel, {
    name: "reference",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "referenceGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "referenceGroup",
    label: "Publications [Reference]"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "reference"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "referenceNote"
  })))), /*#__PURE__*/React.createElement(Panel, {
    name: "viewer",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "viewersReferences"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "viewersReference"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "viewersContributionNote"
  })), /*#__PURE__*/React.createElement(Panel, {
    name: "rights",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightsGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightsGroup"
  }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightType"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightBeginDate"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "rightEndDate"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "rightHolderGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightHolderGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightHolder"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "rightHolderContact"
  }))), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightJurisdiction"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "standardizedRightStatement"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "rightStatement"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "rightNote"
  }))))), /*#__PURE__*/React.createElement(Panel, {
    name: "rightsin",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightsInGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightsInGroup"
  }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightInTypes"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightInType"
  })), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightInBeginDate"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "rightInEndDate"
  }))), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "agreementSent"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "agreementReceived"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "agreementSigned"
  })), /*#__PURE__*/React.createElement(Cols, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightInRestrictions"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "rightInRestriction"
  }))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "rightReproductionStatement"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "rightInNote"
  }))))), /*#__PURE__*/React.createElement(Panel, {
    name: "hierarchy",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "relation-list-item",
    subpath: "rel:relations-common-list"
  })));
};
var _default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.collectionobjec.hku.name",
      "defaultMessage": "HKU Template: UMAG"
    }
  }),
  sortOrder: 0,
  template: template(configContext)
});
exports.default = _default;